Bug 166846 - Session Hangs when attempting to unload usb_storage when unused
Session Hangs when attempting to unload usb_storage when unused
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-26 09:23 EDT by Kevin Fox
Modified: 2012-06-20 09:26 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 09:26:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kevin Fox 2005-08-26 09:23:22 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050719 Red Hat/1.0.6-1.4.1 Firefox/1.0.6

Description of problem:
usb_storage module hangs the session and kernel when attempting to unload. 

Method used to unload the module
modprobe -r usb_storage

Loaded Module List:
Module                  Size  Used by
i915                   81221  2
parport_pc             24705  1
lp                     12077  0
parport                37129  2 parport_pc,lp
autofs4                23237  0
i2c_dev                11329  0
i2c_core               22081  1 i2c_dev
sunrpc                158757  1
md5                     4033  1
ipv6                  232833  20
sr_mod                 17509  0
button                  6481  0
battery                 8901  0
ac                      4805  0
usb_storage            61193  0
uhci_hcd               31065  0
ehci_hcd               30917  0
snd_intel8x0           33769  3
snd_ac97_codec         63889  1 snd_intel8x0
snd_pcm_oss            49017  0
snd_mixer_oss          17985  2 snd_pcm_oss
snd_pcm                96841  2 snd_intel8x0,snd_pcm_oss
snd_timer              29893  1 snd_pcm
snd_page_alloc          9673  2 snd_intel8x0,snd_pcm
snd_mpu401_uart         8769  1 snd_intel8x0
snd_rawmidi            26597  1 snd_mpu401_uart
snd_seq_device          8137  1 snd_rawmidi
snd                    55461  13 snd_intel8x0,snd_ac97_codec,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_timer,snd_mpu401_uart,snd_rawmidi,snd_seq_device
soundcore               9889  2 snd
tg3                    86469  0
floppy                 58481  0
dm_snapshot            16773  0
dm_zero                 2369  0
dm_mirror              22957  0
ext3                  116937  11
jbd                    71257  1 ext3
dm_mod                 56405  15 dm_snapshot,dm_zero,dm_mirror
ata_piix                9157  0
libata                 44189  1 ata_piix
sd_mod                 17217  0
scsi_mod              121293  4 sr_mod,usb_storage,libata,sd_mod


Version-Release number of selected component (if applicable):
2.6.9-11.EL

How reproducible:
Always

Steps to Reproduce:
1. Connect usb media ( Media fails to initialize)
2. remove media
3. Modprobe -r usb_storage
  

Actual Results:  Session hangs and kernel load increases overtime. Requires a reboot to fix issue

Expected Results:  Module should have unloaded

Additional info:
Comment 1 Thomas Woerner 2005-08-26 11:38:13 EDT
Assining to kernel, usb_storage is a kernel driver.
Comment 2 Kevin Fox 2006-04-05 13:36:11 EDT
Do you have any updates on the issue? I am now experiencing the same issue with
Update 3 of RHEL 4
Comment 3 Kevin Fox 2006-04-05 13:38:18 EDT
Note: When error occurs I am unable to gather a sysreport
Comment 4 Kevin Fox 2006-04-05 13:40:52 EDT
4 S root      4668  4623  0  75   0 -  1154 wait   13:26 ?        00:00:00 -bash
1 D root      5709     1  0  75   0 -     0 -      13:29 ?        00:00:00
[scsi_eh_5]
1 S root      5710     1  0  75   0 -     0 kernel 13:29 ?        00:00:00
[usb-storage]
4 D root      5730  4668  0  76   0 -  1138 -      13:29 ?        00:00:00 cat
/proc/scsi/scsi
Comment 5 Jiri Pallich 2012-06-20 09:26:47 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.